<template>
  <p style="font-size:10px">
    <br>Ветка Л1 формируется по ветке Л2 скрытым алгоритмом
    <br>Ветка PAN MS BUNDLE формируется по ветке PMS скрытым алгоритмом
    <br>При передаче --type BYTE добавляются параметры --autocontrast-crop-percent 3 --autocontrast-algorithm AUTO
    <br><br>
  </p>

  <select v-model="level">
    <option>RAW_to_L0</option>
    <option>L0A_to_L0</option>
    <option>L2</option>
    <option>L3M</option>  
    <option>L3C</option>  
  </select>
  <select v-model="bandComb">
    <option>PMS</option>  
  </select>
  <select v-model="ka">
    <option>RP1</option>  
    <option>RP2</option>
    <option>RP3</option>  
    <option>RP4</option>  
    <option>RP5</option>  
    <option>RDK</option>  
    <option>KV1</option>  
    <option>KVI</option>  
    <option>KV3</option>  
    <option>KV4</option>  
    <option>KV5</option>  
    <option>KV6</option>  
    <option>M20</option>  
    <option>M22</option>  
    <option>M23</option>  
    <option>M24</option>  
  </select>

  <select v-model="camera">
    <option v-for="cam in cameras" v-bind:key="cam" v-bind:value="cam">{{cam}}</option>          
  </select>

  <pre style="word-wrap: break-word; white-space: pre-wrap;">
    {{config}}
  </pre>


</template>


<script>
import { defineComponent, reactive, ref, watch } from "vue";
import axios from 'axios';
import { redouteProvider } from  "../config/provider"

export default defineComponent ({
  name: 'App',

  setup() {

    const level = ref("L2");
    const preLevel = ref("L0A");
    const bandComb = ref("PMS");
    const ka = ref("RP1");
    const camera = ref("GEOTON");
    const cameras = reactive(['GEOTON', 'KSHMSA-SR', 'KSHMSA-VR', 'KSHMSA-VR1', 'KSHMSA-VR2']);
    const config = ref("");
    updateConfig()

    function updateConfig() {
      let dataServer = redouteProvider + '/config'
      let postData = { level: level.value, ka: ka.value, bandComb: bandComb.value, camera: camera.value }
      let s = JSON.stringify(postData)
      axios.post(dataServer, s)
        .then(response => { 
          config.value = response.data
        }) 
        .catch(error =>  {
          config.value = error
        });  
    }    
    watch(ka, () =>  {
      cameras.length = 0
      if (ka.value.includes('RP')) {
        camera.value = 'GEOTON'
        cameras.push('GEOTON', 'KSHMSA-SR', 'KSHMSA-VR')
        bandComb.value = 'PMS'  
      }
      if (ka.value.includes('KV')) {
        camera.value = 'KANOPUS'
        cameras.push('KANOPUS')
        bandComb.value = 'PMS'  
      }
      if (ka.value.includes('M2')) {
        camera.value = 'KMSS'
        cameras.push('KMSS', 'MSU-MR')
        bandComb.value = ''  
      }
      updateConfig()
    })

    watch(level, () =>  {
      updateConfig()
    })

    watch(camera, () =>  {
      updateConfig()
    })

    return {
      preLevel,
      level,
      bandComb,
      ka,
      camera,
      cameras,
      config,
    }
  }
}
)
</script>